Index: trunk/SophyaPI/PI/Makefile
===================================================================
--- trunk/SophyaPI/PI/Makefile	(revision 815)
+++ trunk/SophyaPI/PI/Makefile	(revision 826)
@@ -1,5 +1,4 @@
 MODULECXXREPNAME := PI
 MODULEDECCXXFLAGS := -msg_quiet
-MODULECPPFLAGS := -DSANS_EVOLPLANCK
 include ../Mgr/Makefile.h
  
@@ -8,5 +7,5 @@
 	$(AR) $(ARFLAGS)  $@ $? 
 ifeq ($(CXX),cxx)
-	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -L$(LIB) -lPI -lOutils++ -lImages++ -lStarReco++ -o $(OBJ)xx.x -Hf
+	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -L$(LIB) -lPI -lSysTools -o $(OBJ)xx.x -Hf
 endif 
  
@@ -18,24 +17,21 @@
  
 $(OBJ)lut.o: lut.cc $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h lut.h
+ $(INC)pclassids.h lut.h
 $(OBJ)parradapter.o: parradapter.cc parradapter.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h lut.h
+ $(INC)pclassids.h lut.h
 $(OBJ)pi3ddrw.o: pi3ddrw.cc pi3ddrw.h pisysdep.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pidrawer.h pibwdggen.h piwdgx.h \
- piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h pigraphx.h \
- pigraphgen.h pifontx.h pifontgen.h pigraphuc.h pievthandler.h \
- psfile.h pigraph3d.h pibwdgx.h pigraphps.h pidrwtools.h pistdwdgx.h \
- pistdwdggen.h pioptmenux.h pioptmenugen.h pimenux.h pimenugen.h \
- piwindowx.h piwindowgen.h picontainerx.h picontainergen.h piapplx.h \
- piapplgen.h pimenubarx.h pimenubargen.h picons.h
+ $(INC)pclassids.h pidrawer.h pibwdggen.h \
+ piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h \
+ pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
+ pievthandler.h psfile.h pigraph3d.h pibwdgx.h pigraphps.h \
+ pidrwtools.h pistdwdgx.h pistdwdggen.h pioptmenux.h pioptmenugen.h \
+ pimenux.h pimenugen.h piwindowx.h piwindowgen.h picontainerx.h \
+ picontainergen.h piapplx.h piapplgen.h pimenubarx.h pimenubargen.h \
+ picons.h
 $(OBJ)piapplgen.o: piapplgen.cc piapplgen.h pimsghandler.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pisysdep.h picontainerx.h \
+ $(INC)pclassids.h pisysdep.h picontainerx.h \
  picontainergen.h piwdgx.h piwdggen.h pimenubarx.h pimenubargen.h \
  pimenux.h pimenugen.h picons.h pistdwdgx.h pistdwdggen.h pibwdgx.h \
@@ -44,6 +40,5 @@
 $(OBJ)piapplx.o: piapplx.cc piapplx.h piapplgen.h pimsghandler.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pisysdep.h picontainerx.h \
+ $(INC)pclassids.h pisysdep.h picontainerx.h \
  picontainergen.h piwdgx.h piwdggen.h pimenubarx.h pimenubargen.h \
  pimenux.h pimenugen.h picons.h pistdwdgx.h pistdwdggen.h pibwdgx.h \
@@ -52,6 +47,5 @@
 $(OBJ)pibwdggen.o: pibwdggen.cc pibwdggen.h pisysdep.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h piwdgx.h piwdggen.h \
+ $(INC)pclassids.h piwdgx.h piwdggen.h \
  pimsghandler.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
  pifontx.h pifontgen.h pigraphuc.h pievthandler.h psfile.h pidrawer.h \
@@ -62,33 +56,28 @@
 $(OBJ)pibwdgx.o: pibwdgx.cc pixtbaseP.h pibwdgx.h pisysdep.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pibwdggen.h piwdgx.h piwdggen.h \
- pimsghandler.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
- pifontx.h pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraphps.h \
- pixtbase.h
-$(OBJ)picmap.o: picmap.cc picmap.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h picmapx.h picmapgen.h
-$(OBJ)picmapgen.o: picmapgen.cc picmapgen.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h picmapx.h picmap.h
-$(OBJ)picmapview.o: picmapview.cc picmapview.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pibwdgx.h pibwdggen.h piwdgx.h \
+ $(INC)pclassids.h pibwdggen.h piwdgx.h \
  piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h pigraphx.h \
  pigraphgen.h pifontx.h pifontgen.h pigraphuc.h pievthandler.h \
- psfile.h pigraphps.h
+ psfile.h pigraphps.h pixtbase.h
+$(OBJ)picmap.o: picmap.cc picmap.h pisysdep.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h picmapx.h picmapgen.h
+$(OBJ)picmapgen.o: picmapgen.cc picmapgen.h pisysdep.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h picmapx.h picmap.h
+$(OBJ)picmapview.o: picmapview.cc picmapview.h pisysdep.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h pibwdgx.h pibwdggen.h \
+ piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h \
+ pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
+ pievthandler.h psfile.h pigraphps.h
 $(OBJ)picmapx.o: picmapx.cc piwdgx.h piwdggen.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pimsghandler.h picmapx.h \
+ $(INC)pclassids.h pimsghandler.h picmapx.h \
  picmapgen.h pisysdep.h
-$(OBJ)picons.o: picons.cc pisysdep.h $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pimenux.h pimenugen.h piwdgx.h \
- piwdggen.h pimsghandler.h picons.h pistdwdgx.h pistdwdggen.h \
+$(OBJ)picons.o: picons.cc pisysdep.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h pimenux.h pimenugen.h \
+ piwdgx.h piwdggen.h pimsghandler.h picons.h pistdwdgx.h pistdwdggen.h \
  picontainerx.h picontainergen.h pibwdgx.h pibwdggen.h picmap.h \
  picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
@@ -96,22 +85,18 @@
 $(OBJ)picontainergen.o: picontainergen.cc picontainergen.h pisysdep.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h piwdgx.h piwdggen.h \
+ $(INC)pclassids.h piwdgx.h piwdggen.h \
  pimsghandler.h
 $(OBJ)picontainerx.o: picontainerx.cc picontainerx.h pisysdep.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h picontainergen.h piwdgx.h \
+ $(INC)pclassids.h picontainergen.h piwdgx.h \
  piwdggen.h pimsghandler.h
 $(OBJ)pidrawer.o: pidrawer.cc $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pidrawer.h pibwdggen.h pisysdep.h \
- piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h \
- pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
+ $(INC)pclassids.h pidrawer.h pibwdggen.h \
+ pisysdep.h piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h \
+ picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
  pievthandler.h psfile.h
 $(OBJ)pidrawwin.o: pidrawwin.cc pidrawwin.h pisysdep.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h piwindowx.h piwindowgen.h \
+ $(INC)pclassids.h piwindowx.h piwindowgen.h \
  picontainerx.h picontainergen.h piwdgx.h piwdggen.h pimsghandler.h \
  piscdrawwdg.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
@@ -121,6 +106,5 @@
 $(OBJ)pidrwtools.o: pidrwtools.cc pidrwtools.h pisysdep.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pistdwdgx.h pistdwdggen.h \
+ $(INC)pclassids.h pistdwdgx.h pistdwdggen.h \
  piwdgx.h piwdggen.h pimsghandler.h pioptmenux.h pioptmenugen.h \
  pimenux.h pimenugen.h piwindowx.h piwindowgen.h picontainerx.h \
@@ -132,17 +116,14 @@
 $(OBJ)pievthandler.o: pievthandler.cc pievthandler.h pisysdep.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pimsghandler.h piwdgx.h \
+ $(INC)pclassids.h pimsghandler.h piwdgx.h \
  piwdggen.h pigraphx.h pigraphgen.h picmap.h picmapx.h picmapgen.h \
  pifontx.h pifontgen.h
 $(OBJ)pifilechogen.o: pifilechogen.cc pifilechogen.h pisysdep.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h piwdgx.h piwdggen.h \
+ $(INC)pclassids.h piwdgx.h piwdggen.h \
  pimsghandler.h
 $(OBJ)pifilechox.o: pifilechox.cc pisysdep.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h piapplx.h piapplgen.h \
+ $(INC)pclassids.h piapplx.h piapplgen.h \
  pimsghandler.h picontainerx.h picontainergen.h piwdgx.h piwdggen.h \
  pimenubarx.h pimenubargen.h pimenux.h pimenugen.h picons.h \
@@ -153,55 +134,47 @@
 $(OBJ)pifontgen.o: pifontgen.cc pigraphgen.h pisysdep.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h piwdgx.h piwdggen.h \
+ $(INC)pclassids.h piwdgx.h piwdggen.h \
  pimsghandler.h picmap.h picmapx.h picmapgen.h pifontx.h pifontgen.h
 $(OBJ)pifontx.o: pifontx.cc pisysdep.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pifontx.h pifontgen.h piwdgx.h \
- piwdggen.h pimsghandler.h
+ $(INC)pclassids.h pifontx.h pifontgen.h \
+ piwdgx.h piwdggen.h pimsghandler.h
 $(OBJ)pigraph3d.o: pigraph3d.cc pigraph3d.h pisysdep.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pigraphuc.h pigraphgen.h piwdgx.h \
- piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h pifontx.h \
- pifontgen.h
+ $(INC)pclassids.h pigraphuc.h pigraphgen.h \
+ piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h \
+ pifontx.h pifontgen.h
 $(OBJ)pigraphgen.o: pigraphgen.cc pigraphgen.h pisysdep.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h piwdgx.h piwdggen.h \
+ $(INC)pclassids.h piwdgx.h piwdggen.h \
  pimsghandler.h picmap.h picmapx.h picmapgen.h pifontx.h pifontgen.h
 $(OBJ)pigraphps.o: pigraphps.cc pigraphps.h pisysdep.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pigraphgen.h piwdgx.h piwdggen.h \
- pimsghandler.h picmap.h picmapx.h picmapgen.h pifontx.h pifontgen.h \
- psfile.h
+ $(INC)pclassids.h pigraphgen.h piwdgx.h \
+ piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h pifontx.h \
+ pifontgen.h psfile.h
 $(OBJ)pigraphuc.o: pigraphuc.cc $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pigraphuc.h pisysdep.h \
+ $(INC)pclassids.h pigraphuc.h pisysdep.h \
  pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h \
  picmapgen.h pifontx.h pifontgen.h
 $(OBJ)pigraphx.o: pigraphx.cc pigraphx.h pisysdep.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pigraphgen.h piwdgx.h piwdggen.h \
- pimsghandler.h picmap.h picmapx.h picmapgen.h pifontx.h pifontgen.h
+ $(INC)pclassids.h pigraphgen.h piwdgx.h \
+ piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h pifontx.h \
+ pifontgen.h
 $(OBJ)piimage.o: piimage.cc piimage.h parradapter.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h lut.h pisysdep.h pidrawer.h \
- pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h \
- picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
- pievthandler.h psfile.h pipixmapx.h pipixmapgen.h pibwdgx.h \
- pigraphps.h pistdwdgx.h pistdwdggen.h piwindowx.h piwindowgen.h \
- picontainerx.h picontainergen.h picmapview.h piimgtools.h \
- pioptmenux.h pioptmenugen.h pimenux.h pimenugen.h piapplx.h \
- piapplgen.h pimenubarx.h pimenubargen.h picons.h pidrwtools.h \
- piscdrawwdg.h
+ $(INC)pclassids.h lut.h pisysdep.h \
+ pidrawer.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h \
+ picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
+ pigraphuc.h pievthandler.h psfile.h pipixmapx.h pipixmapgen.h \
+ pibwdgx.h pigraphps.h pistdwdgx.h pistdwdggen.h piwindowx.h \
+ piwindowgen.h picontainerx.h picontainergen.h picmapview.h \
+ piimgtools.h pioptmenux.h pioptmenugen.h pimenux.h pimenugen.h \
+ piapplx.h piapplgen.h pimenubarx.h pimenubargen.h picons.h \
+ pidrwtools.h piscdrawwdg.h
 $(OBJ)piimgtools.o: piimgtools.cc piimgtools.h pisysdep.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pistdwdgx.h pistdwdggen.h \
+ $(INC)pclassids.h pistdwdgx.h pistdwdggen.h \
  piwdgx.h piwdggen.h pimsghandler.h pioptmenux.h pioptmenugen.h \
  pimenux.h pimenugen.h piwindowx.h piwindowgen.h picontainerx.h \
@@ -213,79 +186,70 @@
 $(OBJ)pilistgen.o: pilistgen.cc pilistgen.h pisysdep.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h piwdgx.h piwdggen.h \
+ $(INC)pclassids.h piwdgx.h piwdggen.h \
  pimsghandler.h
 $(OBJ)pilistx.o: pilistx.cc pilistx.h pilistgen.h pisysdep.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h piwdgx.h piwdggen.h \
+ $(INC)pclassids.h piwdgx.h piwdggen.h \
  pimsghandler.h picontainerx.h picontainergen.h
 $(OBJ)pimenubargen.o: pimenubargen.cc pimenubargen.h pisysdep.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pimenux.h pimenugen.h piwdgx.h \
- piwdggen.h pimsghandler.h piapplx.h piapplgen.h picontainerx.h \
- picontainergen.h pimenubarx.h picons.h pistdwdgx.h pistdwdggen.h \
+ $(INC)pclassids.h pimenux.h pimenugen.h \
+ piwdgx.h piwdggen.h pimsghandler.h piapplx.h piapplgen.h \
+ picontainerx.h picontainergen.h pimenubarx.h picons.h pistdwdgx.h \
+ pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
+ pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
+ pievthandler.h psfile.h pigraphps.h
+$(OBJ)pimenubarx.o: pimenubarx.cc pimenubarx.h pimenubargen.h pisysdep.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h pimenux.h pimenugen.h \
+ piwdgx.h piwdggen.h pimsghandler.h piapplx.h piapplgen.h \
+ picontainerx.h picontainergen.h picons.h pistdwdgx.h pistdwdggen.h \
  pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h pigraphx.h \
  pigraphgen.h pifontx.h pifontgen.h pigraphuc.h pievthandler.h \
  psfile.h pigraphps.h
-$(OBJ)pimenubarx.o: pimenubarx.cc pimenubarx.h pimenubargen.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pimenux.h pimenugen.h piwdgx.h \
- piwdggen.h pimsghandler.h piapplx.h piapplgen.h picontainerx.h \
- picontainergen.h picons.h pistdwdgx.h pistdwdggen.h pibwdgx.h \
- pibwdggen.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
- pifontx.h pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraphps.h
 $(OBJ)pimenugen.o: pimenugen.cc pimenugen.h pisysdep.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h piwdgx.h piwdggen.h \
+ $(INC)pclassids.h piwdgx.h piwdggen.h \
  pimsghandler.h
 $(OBJ)pimenux.o: pimenux.cc pisysdep.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pimenubarx.h pimenubargen.h \
- pimenux.h pimenugen.h piwdgx.h piwdggen.h pimsghandler.h
+ $(INC)pclassids.h pimenubarx.h \
+ pimenubargen.h pimenux.h pimenugen.h piwdgx.h piwdggen.h \
+ pimsghandler.h
 $(OBJ)pimsghandler.o: pimsghandler.cc pimsghandler.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h
+ $(INC)pclassids.h
 $(OBJ)pioptmenugen.o: pioptmenugen.cc pioptmenugen.h pisysdep.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pimenux.h pimenugen.h piwdgx.h \
- piwdggen.h pimsghandler.h
+ $(INC)pclassids.h pimenux.h pimenugen.h \
+ piwdgx.h piwdggen.h pimsghandler.h
 $(OBJ)pioptmenux.o: pioptmenux.cc pisysdep.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pioptmenux.h pioptmenugen.h \
- pimenux.h pimenugen.h piwdgx.h piwdggen.h pimsghandler.h pistdwdgx.h \
- pistdwdggen.h piapplx.h piapplgen.h picontainerx.h picontainergen.h \
- pimenubarx.h pimenubargen.h picons.h pibwdgx.h pibwdggen.h picmap.h \
- picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
- pigraphuc.h pievthandler.h psfile.h pigraphps.h
+ $(INC)pclassids.h pioptmenux.h \
+ pioptmenugen.h pimenux.h pimenugen.h piwdgx.h piwdggen.h \
+ pimsghandler.h pistdwdgx.h pistdwdggen.h piapplx.h piapplgen.h \
+ picontainerx.h picontainergen.h pimenubarx.h pimenubargen.h picons.h \
+ pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h pigraphx.h \
+ pigraphgen.h pifontx.h pifontgen.h pigraphuc.h pievthandler.h \
+ psfile.h pigraphps.h
 $(OBJ)piperiodx.o: piperiodx.cc piwdgx.h piwdggen.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pimsghandler.h piperiodx.h \
+ $(INC)pclassids.h pimsghandler.h piperiodx.h \
  $(INC)periodic.h
 $(OBJ)pipixmapgen.o: pipixmapgen.cc pipixmapgen.h pisysdep.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pibwdgx.h pibwdggen.h piwdgx.h \
- piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h pigraphx.h \
- pigraphgen.h pifontx.h pifontgen.h pigraphuc.h pievthandler.h \
- psfile.h pigraphps.h
+ $(INC)pclassids.h pibwdgx.h pibwdggen.h \
+ piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h \
+ pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
+ pievthandler.h psfile.h pigraphps.h
 $(OBJ)pipixmapx.o: pipixmapx.cc pipixmapx.h pipixmapgen.h pisysdep.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pibwdgx.h pibwdggen.h piwdgx.h \
- piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h pigraphx.h \
- pigraphgen.h pifontx.h pifontgen.h pigraphuc.h pievthandler.h \
- psfile.h pigraphps.h
-$(OBJ)piscdrawwdg.o: piscdrawwdg.cc $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h piscdrawwdg.h pisysdep.h \
+ $(INC)pclassids.h pibwdgx.h pibwdggen.h \
+ piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h \
+ pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
+ pievthandler.h psfile.h pigraphps.h
+$(OBJ)piscdrawwdg.o: piscdrawwdg.cc \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h piscdrawwdg.h pisysdep.h \
  pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h \
  picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
@@ -297,16 +261,13 @@
 $(OBJ)pistdwdggen.o: pistdwdggen.cc pistdwdggen.h pisysdep.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h piwdgx.h piwdggen.h \
+ $(INC)pclassids.h piwdgx.h piwdggen.h \
  pimsghandler.h
 $(OBJ)pistdwdgx.o: pistdwdgx.cc pisysdep.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pistdwdgx.h pistdwdggen.h \
+ $(INC)pclassids.h pistdwdgx.h pistdwdggen.h \
  piwdgx.h piwdggen.h pimsghandler.h picontainerx.h picontainergen.h
 $(OBJ)pistzwin.o: pistzwin.cc pistzwin.h pisysdep.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h piwindowx.h piwindowgen.h \
+ $(INC)pclassids.h piwindowx.h piwindowgen.h \
  picontainerx.h picontainergen.h piwdgx.h piwdggen.h pimsghandler.h \
  piperiodx.h $(INC)periodic.h psfile.h \
@@ -314,6 +275,5 @@
 $(OBJ)pisurfdr.o: pisurfdr.cc pisurfdr.h parradapter.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h lut.h pi3ddrw.h pisysdep.h \
+ $(INC)pclassids.h lut.h pi3ddrw.h pisysdep.h \
  pidrawer.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h \
  picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
@@ -321,35 +281,30 @@
 $(OBJ)piwdggen.o: piwdggen.cc piwdggen.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pimsghandler.h picontainergen.h \
- pisysdep.h piwdgx.h pievthandler.h pigraphx.h pigraphgen.h picmap.h \
- picmapx.h picmapgen.h pifontx.h pifontgen.h psfile.h
+ $(INC)pclassids.h pimsghandler.h \
+ picontainergen.h pisysdep.h piwdgx.h pievthandler.h pigraphx.h \
+ pigraphgen.h picmap.h picmapx.h picmapgen.h pifontx.h pifontgen.h \
+ psfile.h
 $(OBJ)piwdgx.o: piwdgx.cc piwdgx.h piwdggen.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pimsghandler.h picontainerx.h \
- pisysdep.h picontainergen.h pievthandler.h pigraphx.h pigraphgen.h \
- picmap.h picmapx.h picmapgen.h pifontx.h pifontgen.h
+ $(INC)pclassids.h pimsghandler.h \
+ picontainerx.h pisysdep.h picontainergen.h pievthandler.h pigraphx.h \
+ pigraphgen.h picmap.h picmapx.h picmapgen.h pifontx.h pifontgen.h
 $(OBJ)piwindowgen.o: piwindowgen.cc piwindowgen.h pisysdep.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h picontainerx.h picontainergen.h \
- piwdgx.h piwdggen.h pimsghandler.h psfile.h pifontgen.h pigraphgen.h \
- picmap.h picmapx.h picmapgen.h pifontx.h
+ $(INC)pclassids.h picontainerx.h \
+ picontainergen.h piwdgx.h piwdggen.h pimsghandler.h psfile.h \
+ pifontgen.h pigraphgen.h picmap.h picmapx.h picmapgen.h pifontx.h
 $(OBJ)piwindowx.o: piwindowx.cc piwindowx.h piwindowgen.h pisysdep.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h picontainerx.h picontainergen.h \
- piwdgx.h piwdggen.h pimsghandler.h
+ $(INC)pclassids.h picontainerx.h \
+ picontainergen.h piwdgx.h piwdggen.h pimsghandler.h
 $(OBJ)pixtbase.o: pixtbase.cc pixtbaseP.h pibwdgx.h pisysdep.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pibwdggen.h piwdgx.h piwdggen.h \
- pimsghandler.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
- pifontx.h pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraphps.h \
- pixtbase.h
+ $(INC)pclassids.h pibwdggen.h piwdgx.h \
+ piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h pigraphx.h \
+ pigraphgen.h pifontx.h pifontgen.h pigraphuc.h pievthandler.h \
+ psfile.h pigraphps.h pixtbase.h
 $(OBJ)psfile.o: psfile.cc psfile.h $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pisysdep.h pifontgen.h \
+ $(INC)pclassids.h pisysdep.h pifontgen.h \
  pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h \
  picmapgen.h pifontx.h
Index: trunk/SophyaPI/PIext/Makefile
===================================================================
--- trunk/SophyaPI/PIext/Makefile	(revision 815)
+++ trunk/SophyaPI/PIext/Makefile	(revision 826)
@@ -1,16 +1,15 @@
 MODULECXXREPNAME := PI
 MODULEDECCXXFLAGS := -msg_quiet
-MODULECPPFLAGS := -DSANS_EVOLPLANCK
 include ../Mgr/Makefile.h
  
 all: $(LIB)libPIext.a
-$(LIB)libPIext.a : $(OBJ)basexecut.o $(OBJ)nobjmgr.o $(OBJ)nomgadapter.o $(OBJ)nomgfdadapter.o $(OBJ)nomhistadapter.o $(OBJ)nomimagadapter.o $(OBJ)nommatvecadapter.o $(OBJ)nomstladapter.o $(OBJ)pawexecut.o $(OBJ)piacmd.o $(OBJ)piafitting.o $(OBJ)pigfd1.o $(OBJ)pigfd2.o $(OBJ)pihisto.o $(OBJ)pihisto2d.o $(OBJ)piinit.o $(OBJ)pintup3d.o $(OBJ)pintuple.o $(OBJ)pipodrw.o $(OBJ)pisiadw.o $(OBJ)pistdimgapp.o $(OBJ)pistlist.o $(OBJ)servnobjm.o
+$(LIB)libPIext.a : $(OBJ)basexecut.o $(OBJ)nobjmgr.o $(OBJ)nomgadapter.o $(OBJ)nomgfdadapter.o $(OBJ)nomhistadapter.o $(OBJ)nomimagadapter.o $(OBJ)nomskymapadapter.o $(OBJ)nomspecrespadapter.o $(OBJ)nomtmatvecadapter.o $(OBJ)pawexecut.o $(OBJ)piacmd.o $(OBJ)piafitting.o $(OBJ)pigfd1.o $(OBJ)pigfd2.o $(OBJ)pihisto.o $(OBJ)pihisto2d.o $(OBJ)piinit.o $(OBJ)pintup3d.o $(OBJ)pintuple.o $(OBJ)pipodrw.o $(OBJ)pisiadw.o $(OBJ)pistdimgapp.o $(OBJ)pitvmaad.o $(OBJ)servnobjm.o
 	$(AR) $(ARFLAGS)  $@ $? 
 ifeq ($(CXX),cxx)
-	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -L$(LIB) -lPIext -lOutils++ -lImages++ -lStarReco++ -lPI -o $(OBJ)xx.x -Hf
+	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -L$(LIB) -lPIext -lSysTools -lTArray -lNTools -lHiStats -lSkyMap -lSamba -lSkyT -lFitsIOServer -lIFFTW -lLinAlg -lPI -o $(OBJ)xx.x -Hf
 endif 
  
 clean:
-	rm -f $(OBJ)basexecut.o $(OBJ)nobjmgr.o $(OBJ)nomgadapter.o $(OBJ)nomgfdadapter.o $(OBJ)nomhistadapter.o $(OBJ)nomimagadapter.o $(OBJ)nommatvecadapter.o $(OBJ)nomstladapter.o $(OBJ)pawexecut.o $(OBJ)piacmd.o $(OBJ)piafitting.o $(OBJ)pigfd1.o $(OBJ)pigfd2.o $(OBJ)pihisto.o $(OBJ)pihisto2d.o $(OBJ)piinit.o $(OBJ)pintup3d.o $(OBJ)pintuple.o $(OBJ)pipodrw.o $(OBJ)pisiadw.o $(OBJ)pistdimgapp.o $(OBJ)pistlist.o $(OBJ)servnobjm.o
+	rm -f $(OBJ)basexecut.o $(OBJ)nobjmgr.o $(OBJ)nomgadapter.o $(OBJ)nomgfdadapter.o $(OBJ)nomhistadapter.o $(OBJ)nomimagadapter.o $(OBJ)nomskymapadapter.o $(OBJ)nomspecrespadapter.o $(OBJ)nomtmatvecadapter.o $(OBJ)pawexecut.o $(OBJ)piacmd.o $(OBJ)piafitting.o $(OBJ)pigfd1.o $(OBJ)pigfd2.o $(OBJ)pihisto.o $(OBJ)pihisto2d.o $(OBJ)piinit.o $(OBJ)pintup3d.o $(OBJ)pintuple.o $(OBJ)pipodrw.o $(OBJ)pisiadw.o $(OBJ)pistdimgapp.o $(OBJ)pitvmaad.o $(OBJ)servnobjm.o
 ifeq ($(CXX),cxx)
 	cd $(REPM); rm -f *.o
@@ -19,14 +18,7 @@
 $(OBJ)basexecut.o: basexecut.cc piacmd.h \
  $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h dlftypes.h basexecut.h \
+ $(INC)pclassids.h dlftypes.h basexecut.h \
  $(INC)pdlmgr.h \
- $(INC)ctimer.h \
- $(INC)peida.h \
- $(INC)utils.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h \
- $(INC)fmath.h pistdimgapp.h \
+ $(INC)ctimer.h pistdimgapp.h \
  $(INC)pisysdep.h \
  $(INC)piapplx.h \
@@ -74,5 +66,6 @@
  $(INC)anydataobj.h \
  $(INC)ppersist.h \
- $(INC)pclassids.h pisiadw.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h pisiadw.h \
  $(INC)pilistx.h \
  $(INC)pilistgen.h \
@@ -81,24 +74,1056 @@
  $(INC)periodic.h servnobjm.h \
  $(INC)histos.h \
- $(INC)cvector.h \
- $(INC)matrix.h \
+ $(INC)objfio.h \
+ $(INC)peida.h \
+ $(INC)utils.h \
+ $(INC)perrors.h \
+ $(INC)fmath.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)dvlist.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
  $(INC)histos2.h \
  $(INC)hisprof.h \
  $(INC)ntuple.h \
  $(INC)ntupintf.h \
- $(INC)dvlist.h \
  $(INC)generaldata.h \
  $(INC)poly.h
-$(OBJ)nobjmgr.o: nobjmgr.cc $(INC)strutil.h \
+$(OBJ)nomgadapter.o: nomgadapter.cc \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h nomgadapter.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)anydataobj.h \
+ $(INC)pidrawer.h \
+ $(INC)pibwdggen.h \
+ $(INC)pisysdep.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimsghandler.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)parradapter.h \
+ $(INC)lut.h \
+ $(INC)ntupintf.h
+$(OBJ)nomgfdadapter.o: nomgfdadapter.cc \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h nomgfdadapter.h \
+ nomgadapter.h $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)anydataobj.h \
+ $(INC)pidrawer.h \
+ $(INC)pibwdggen.h \
+ $(INC)pisysdep.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimsghandler.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)parradapter.h \
+ $(INC)lut.h \
+ $(INC)ntupintf.h \
+ $(INC)generaldata.h \
+ $(INC)objfio.h \
+ $(INC)poly.h \
+ $(INC)peida.h \
+ $(INC)utils.h \
+ $(INC)perrors.h \
+ $(INC)fmath.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)dvlist.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h pipodrw.h \
+ $(INC)histos2.h \
+ $(INC)histos.h
+$(OBJ)nomhistadapter.o: nomhistadapter.cc \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h nomhistadapter.h \
+ nomgadapter.h $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)anydataobj.h \
+ $(INC)pidrawer.h \
+ $(INC)pibwdggen.h \
+ $(INC)pisysdep.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimsghandler.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)parradapter.h \
+ $(INC)lut.h \
+ $(INC)ntupintf.h \
+ $(INC)histos.h \
+ $(INC)objfio.h \
+ $(INC)peida.h \
+ $(INC)utils.h \
+ $(INC)perrors.h \
+ $(INC)fmath.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)dvlist.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)histos2.h \
+ $(INC)hisprof.h \
+ $(INC)ntuple.h \
+ $(INC)xntuple.h pihisto.h pihisto2d.h \
+ $(INC)pimenux.h \
+ $(INC)pimenugen.h \
+ $(INC)pimenubarx.h \
+ $(INC)pimenubargen.h \
+ $(INC)pioptmenux.h \
+ $(INC)pioptmenugen.h \
+ $(INC)pistdwdgx.h \
+ $(INC)pistdwdggen.h \
+ $(INC)piscdrawwdg.h \
+ $(INC)pibwdgx.h \
+ $(INC)pigraphps.h \
+ $(INC)piwindowx.h \
+ $(INC)piwindowgen.h \
+ $(INC)picontainerx.h \
+ $(INC)picontainergen.h pipodrw.h servnobjm.h \
+ $(INC)pdlmgr.h dlftypes.h
+$(OBJ)nomimagadapter.o: nomimagadapter.cc \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h nomimagadapter.h \
+ nomgadapter.h $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)anydataobj.h \
+ $(INC)pidrawer.h \
+ $(INC)pibwdggen.h \
+ $(INC)pisysdep.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimsghandler.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)parradapter.h \
+ $(INC)lut.h \
+ $(INC)ntupintf.h \
+ $(INC)cimage.h \
+ $(INC)rzimage.h \
+ $(INC)rzvect.h \
+ $(INC)perrors.h \
  $(INC)datatypes.h \
- $(INC)machine.h \
- $(INC)defs.h nobjmgr.h \
- $(INC)machdefs.h \
- $(INC)anydataobj.h \
- $(INC)ppersist.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h \
- $(INC)pclassids.h dlftypes.h servnobjm.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h pimgadapter.h
+$(OBJ)nomskymapadapter.o: nomskymapadapter.cc \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h nomskymapadapter.h \
+ nomgadapter.h $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)anydataobj.h \
+ $(INC)pidrawer.h \
+ $(INC)pibwdggen.h \
+ $(INC)pisysdep.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimsghandler.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)parradapter.h \
+ $(INC)lut.h \
+ $(INC)ntupintf.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)pixelmap.h \
+ $(INC)spherepos.h \
+ $(INC)unitvector.h \
+ $(INC)vector3d.h \
+ $(INC)longlat.h \
+ $(INC)utilgeom.h \
+ $(INC)spherethetaphi.h \
+ $(INC)sphericalmap.h \
+ $(INC)smathconst.h \
+ $(INC)tvector.h \
+ $(INC)spheregorski.h \
+ $(INC)localmap.h pitvmaad.h \
+ $(INC)complexios.h
+$(OBJ)nomspecrespadapter.o: nomspecrespadapter.cc \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h nomspecrespadapter.h \
+ nomgadapter.h $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)anydataobj.h \
+ $(INC)pidrawer.h \
+ $(INC)pibwdggen.h \
+ $(INC)pisysdep.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimsghandler.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)parradapter.h \
+ $(INC)lut.h \
+ $(INC)ntupintf.h \
+ $(INC)specresp.h \
+ $(INC)specrespvector.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)gaussfilt.h
+$(OBJ)nomtmatvecadapter.o: nomtmatvecadapter.cc \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)anydataobj.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h nomtmatvecadapter.h \
+ nomgadapter.h $(INC)pidrawer.h \
+ $(INC)pibwdggen.h \
+ $(INC)pisysdep.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimsghandler.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)parradapter.h \
+ $(INC)lut.h \
+ $(INC)ntupintf.h \
+ $(INC)piscdrawwdg.h \
+ $(INC)pibwdgx.h \
+ $(INC)pigraphps.h \
+ $(INC)pistdwdgx.h \
+ $(INC)pistdwdggen.h \
+ $(INC)piwindowx.h \
+ $(INC)piwindowgen.h \
+ $(INC)picontainerx.h \
+ $(INC)picontainergen.h pitvmaad.h \
+ $(INC)fioarr.h
+$(OBJ)pawexecut.o: pawexecut.cc $(INC)strutil.h \
+ $(INC)histos.h \
+ $(INC)objfio.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)anydataobj.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)peida.h \
+ $(INC)utils.h \
+ $(INC)perrors.h \
+ $(INC)fmath.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)dvlist.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)histos2.h \
+ $(INC)hisprof.h \
+ $(INC)ntuple.h \
+ $(INC)ntupintf.h pawexecut.h piacmd.h \
+ dlftypes.h nobjmgr.h servnobjm.h \
+ $(INC)pdlmgr.h pistdimgapp.h \
+ $(INC)pisysdep.h \
+ $(INC)piapplx.h \
+ $(INC)piapplgen.h \
+ $(INC)pimsghandler.h \
+ $(INC)picontainerx.h \
+ $(INC)picontainergen.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimenubarx.h \
+ $(INC)pimenubargen.h \
+ $(INC)pimenux.h \
+ $(INC)pimenugen.h \
+ $(INC)picons.h \
+ $(INC)pistdwdgx.h \
+ $(INC)pistdwdggen.h \
+ $(INC)pibwdgx.h \
+ $(INC)pibwdggen.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)pigraphps.h \
+ $(INC)piwindowx.h \
+ $(INC)piwindowgen.h \
+ $(INC)pioptmenux.h \
+ $(INC)pioptmenugen.h \
+ $(INC)pifilechox.h \
+ $(INC)pifilechogen.h \
+ $(INC)piimage.h \
+ $(INC)parradapter.h \
+ $(INC)lut.h \
+ $(INC)pidrawer.h \
+ $(INC)pipixmapx.h \
+ $(INC)pipixmapgen.h \
+ $(INC)picmapview.h \
+ $(INC)pi3ddrw.h \
+ $(INC)pigraph3d.h pisiadw.h \
+ $(INC)pilistx.h \
+ $(INC)pilistgen.h \
+ $(INC)pistzwin.h \
+ $(INC)piperiodx.h \
+ $(INC)periodic.h
+$(OBJ)piacmd.o: piacmd.cc piacmd.h $(INC)machdefs.h \
+ $(INC)pclassids.h dlftypes.h basexecut.h \
+ $(INC)pdlmgr.h \
+ $(INC)ctimer.h pistdimgapp.h \
+ $(INC)pisysdep.h \
+ $(INC)piapplx.h \
+ $(INC)piapplgen.h \
+ $(INC)pimsghandler.h \
+ $(INC)picontainerx.h \
+ $(INC)picontainergen.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimenubarx.h \
+ $(INC)pimenubargen.h \
+ $(INC)pimenux.h \
+ $(INC)pimenugen.h \
+ $(INC)picons.h \
+ $(INC)pistdwdgx.h \
+ $(INC)pistdwdggen.h \
+ $(INC)pibwdgx.h \
+ $(INC)pibwdggen.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)pigraphps.h \
+ $(INC)piwindowx.h \
+ $(INC)piwindowgen.h \
+ $(INC)pioptmenux.h \
+ $(INC)pioptmenugen.h \
+ $(INC)pifilechox.h \
+ $(INC)pifilechogen.h \
+ $(INC)piimage.h \
+ $(INC)parradapter.h \
+ $(INC)lut.h \
+ $(INC)pidrawer.h \
+ $(INC)pipixmapx.h \
+ $(INC)pipixmapgen.h \
+ $(INC)picmapview.h \
+ $(INC)pi3ddrw.h \
+ $(INC)pigraph3d.h nobjmgr.h \
+ $(INC)anydataobj.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h pisiadw.h \
+ $(INC)pilistx.h \
+ $(INC)pilistgen.h \
+ $(INC)pistzwin.h \
+ $(INC)piperiodx.h \
+ $(INC)periodic.h piafitting.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h pawexecut.h
+$(OBJ)piafitting.o: piafitting.cc $(INC)strutil.h \
+ $(INC)nbtri.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)generalfit.h \
+ $(INC)pexceptions.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)anydataobj.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)generaldata.h \
+ $(INC)ntupintf.h \
+ $(INC)poly.h \
+ $(INC)peida.h \
+ $(INC)utils.h \
+ $(INC)perrors.h \
+ $(INC)fmath.h \
+ $(INC)fct1dfit.h \
+ $(INC)fct2dfit.h \
+ $(INC)ntuple.h \
+ $(INC)cimage.h \
+ $(INC)rzimage.h \
+ $(INC)rzvect.h \
+ $(INC)datatypes.h \
+ $(INC)histos.h \
+ $(INC)histos2.h \
+ $(INC)hisprof.h \
+ $(INC)objfitter.h piafitting.h \
+ $(INC)pdlmgr.h dlftypes.h piacmd.h nobjmgr.h \
+ pistdimgapp.h $(INC)pisysdep.h \
+ $(INC)piapplx.h \
+ $(INC)piapplgen.h \
+ $(INC)pimsghandler.h \
+ $(INC)picontainerx.h \
+ $(INC)picontainergen.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimenubarx.h \
+ $(INC)pimenubargen.h \
+ $(INC)pimenux.h \
+ $(INC)pimenugen.h \
+ $(INC)picons.h \
+ $(INC)pistdwdgx.h \
+ $(INC)pistdwdggen.h \
+ $(INC)pibwdgx.h \
+ $(INC)pibwdggen.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)pigraphps.h \
+ $(INC)piwindowx.h \
+ $(INC)piwindowgen.h \
+ $(INC)pioptmenux.h \
+ $(INC)pioptmenugen.h \
+ $(INC)pifilechox.h \
+ $(INC)pifilechogen.h \
+ $(INC)piimage.h \
+ $(INC)parradapter.h \
+ $(INC)lut.h \
+ $(INC)pidrawer.h \
+ $(INC)pipixmapx.h \
+ $(INC)pipixmapgen.h \
+ $(INC)picmapview.h \
+ $(INC)pi3ddrw.h \
+ $(INC)pigraph3d.h pisiadw.h \
+ $(INC)pilistx.h \
+ $(INC)pilistgen.h \
+ $(INC)pistzwin.h \
+ $(INC)piperiodx.h \
+ $(INC)periodic.h
+$(OBJ)pigfd1.o: pigfd1.cc pigfd1.h \
+ $(INC)generaldata.h \
+ $(INC)objfio.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)anydataobj.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ntupintf.h \
+ $(INC)poly.h \
+ $(INC)peida.h \
+ $(INC)utils.h \
+ $(INC)perrors.h \
+ $(INC)fmath.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)dvlist.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)pidrawer.h \
+ $(INC)pibwdggen.h \
+ $(INC)pisysdep.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimsghandler.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h
+$(OBJ)pigfd2.o: pigfd2.cc pigfd2.h \
+ $(INC)generaldata.h \
+ $(INC)objfio.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)anydataobj.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ntupintf.h \
+ $(INC)poly.h \
+ $(INC)peida.h \
+ $(INC)utils.h \
+ $(INC)perrors.h \
+ $(INC)fmath.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)dvlist.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)pi3ddrw.h \
+ $(INC)pisysdep.h \
+ $(INC)pidrawer.h \
+ $(INC)pibwdggen.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimsghandler.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)pigraph3d.h \
+ $(INC)pibwdgx.h \
+ $(INC)pigraphps.h
+$(OBJ)pihisto.o: pihisto.cc pihisto.h \
+ $(INC)histos.h \
+ $(INC)objfio.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)anydataobj.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)peida.h \
+ $(INC)utils.h \
+ $(INC)perrors.h \
+ $(INC)fmath.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)dvlist.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)pidrawer.h \
+ $(INC)pibwdggen.h \
+ $(INC)pisysdep.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimsghandler.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)hisprof.h
+$(OBJ)pihisto2d.o: pihisto2d.cc $(INC)piapplgen.h \
+ $(INC)pimsghandler.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)pisysdep.h \
+ $(INC)picontainerx.h \
+ $(INC)picontainergen.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimenubarx.h \
+ $(INC)pimenubargen.h \
+ $(INC)pimenux.h \
+ $(INC)pimenugen.h \
+ $(INC)picons.h \
+ $(INC)pistdwdgx.h \
+ $(INC)pistdwdggen.h \
+ $(INC)pibwdgx.h \
+ $(INC)pibwdggen.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)pigraphps.h pihisto2d.h \
+ $(INC)pioptmenux.h \
+ $(INC)pioptmenugen.h \
+ $(INC)histos2.h \
+ $(INC)peida.h \
+ $(INC)utils.h \
+ $(INC)perrors.h \
+ $(INC)pexceptions.h \
+ $(INC)fmath.h \
+ $(INC)histos.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)dvlist.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)piscdrawwdg.h \
+ $(INC)piwindowx.h \
+ $(INC)piwindowgen.h \
+ $(INC)pidrawer.h \
+ $(INC)nbrandom.h
+$(OBJ)piinit.o: piinit.cc $(INC)machdefs.h \
+ $(INC)pclassids.h piinit.h \
+ $(INC)sambainit.h \
+ $(INC)skymapinit.h \
+ $(INC)tarrinit.h \
+ $(INC)sophyainit.h \
+ $(INC)ntoolsinit.h pistdimgapp.h \
+ $(INC)pisysdep.h \
+ $(INC)piapplx.h \
+ $(INC)piapplgen.h \
+ $(INC)pimsghandler.h \
+ $(INC)picontainerx.h \
+ $(INC)picontainergen.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimenubarx.h \
+ $(INC)pimenubargen.h \
+ $(INC)pimenux.h \
+ $(INC)pimenugen.h \
+ $(INC)picons.h \
+ $(INC)pistdwdgx.h \
+ $(INC)pistdwdggen.h \
+ $(INC)pibwdgx.h \
+ $(INC)pibwdggen.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)pigraphps.h \
+ $(INC)piwindowx.h \
+ $(INC)piwindowgen.h \
+ $(INC)pioptmenux.h \
+ $(INC)pioptmenugen.h \
+ $(INC)pifilechox.h \
+ $(INC)pifilechogen.h \
+ $(INC)piimage.h \
+ $(INC)parradapter.h \
+ $(INC)lut.h \
+ $(INC)pidrawer.h \
+ $(INC)pipixmapx.h \
+ $(INC)pipixmapgen.h \
+ $(INC)picmapview.h \
+ $(INC)pi3ddrw.h \
+ $(INC)pigraph3d.h nobjmgr.h \
+ $(INC)anydataobj.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h dlftypes.h piacmd.h pisiadw.h \
+ $(INC)pilistx.h \
+ $(INC)pilistgen.h \
+ $(INC)pistzwin.h \
+ $(INC)piperiodx.h \
+ $(INC)periodic.h servnobjm.h \
+ $(INC)pdlmgr.h nomhistadapter.h \
+ nomgadapter.h $(INC)ntupintf.h \
+ $(INC)histos.h \
+ $(INC)objfio.h \
+ $(INC)peida.h \
+ $(INC)utils.h \
+ $(INC)perrors.h \
+ $(INC)fmath.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)dvlist.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)histos2.h \
+ $(INC)hisprof.h \
+ $(INC)ntuple.h \
+ $(INC)xntuple.h nomgfdadapter.h \
+ $(INC)generaldata.h \
+ $(INC)poly.h nomimagadapter.h \
+ $(INC)cimage.h \
+ $(INC)rzimage.h \
+ $(INC)rzvect.h \
+ $(INC)datatypes.h nomtmatvecadapter.h \
+ nomskymapadapter.h $(INC)pixelmap.h \
+ $(INC)spherepos.h \
+ $(INC)unitvector.h \
+ $(INC)vector3d.h \
+ $(INC)longlat.h \
+ $(INC)utilgeom.h \
+ $(INC)spherethetaphi.h \
+ $(INC)sphericalmap.h \
+ $(INC)smathconst.h \
+ $(INC)spheregorski.h \
+ $(INC)localmap.h \
+ $(INC)specrespvector.h \
+ $(INC)specresp.h \
+ $(INC)gaussfilt.h nomspecrespadapter.h
+$(OBJ)pintup3d.o: pintup3d.cc pintup3d.h \
+ $(INC)ntupintf.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)pi3ddrw.h \
+ $(INC)pisysdep.h \
+ $(INC)pidrawer.h \
+ $(INC)pibwdggen.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimsghandler.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)pigraph3d.h \
+ $(INC)pibwdgx.h \
+ $(INC)pigraphps.h
+$(OBJ)pintuple.o: pintuple.cc pintuple.h \
+ $(INC)ntupintf.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)pidrawer.h \
+ $(INC)pibwdggen.h \
+ $(INC)pisysdep.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimsghandler.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h
+$(OBJ)pipodrw.o: pipodrw.cc pipodrw.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)pidrawer.h \
+ $(INC)pibwdggen.h \
+ $(INC)pisysdep.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimsghandler.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)parradapter.h \
+ $(INC)lut.h \
+ $(INC)histos2.h \
+ $(INC)peida.h \
+ $(INC)utils.h \
+ $(INC)perrors.h \
+ $(INC)pexceptions.h \
+ $(INC)fmath.h \
+ $(INC)histos.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)dvlist.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)generalfit.h \
+ $(INC)generaldata.h \
+ $(INC)ntupintf.h \
+ $(INC)poly.h
+$(OBJ)pisiadw.o: pisiadw.cc $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)perrors.h \
+ $(INC)pexceptions.h \
+ $(INC)ctimer.h \
+ $(INC)nbmath.h \
+ $(INC)smathconst.h pistdimgapp.h \
+ $(INC)pisysdep.h \
+ $(INC)piapplx.h \
+ $(INC)piapplgen.h \
+ $(INC)pimsghandler.h \
+ $(INC)picontainerx.h \
+ $(INC)picontainergen.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimenubarx.h \
+ $(INC)pimenubargen.h \
+ $(INC)pimenux.h \
+ $(INC)pimenugen.h \
+ $(INC)picons.h \
+ $(INC)pistdwdgx.h \
+ $(INC)pistdwdggen.h \
+ $(INC)pibwdgx.h \
+ $(INC)pibwdggen.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)pigraphps.h \
+ $(INC)piwindowx.h \
+ $(INC)piwindowgen.h \
+ $(INC)pioptmenux.h \
+ $(INC)pioptmenugen.h \
+ $(INC)pifilechox.h \
+ $(INC)pifilechogen.h \
+ $(INC)piimage.h \
+ $(INC)parradapter.h \
+ $(INC)lut.h \
+ $(INC)pidrawer.h \
+ $(INC)pipixmapx.h \
+ $(INC)pipixmapgen.h \
+ $(INC)picmapview.h \
+ $(INC)pi3ddrw.h \
+ $(INC)pigraph3d.h nobjmgr.h \
+ $(INC)anydataobj.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h dlftypes.h piacmd.h pisiadw.h \
+ $(INC)pilistx.h \
+ $(INC)pilistgen.h \
+ $(INC)pistzwin.h \
+ $(INC)piperiodx.h \
+ $(INC)periodic.h servnobjm.h \
+ $(INC)pdlmgr.h
+$(OBJ)pistdimgapp.o: pistdimgapp.cc \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)strutil.h \
+ $(INC)timing.h \
+ $(INC)perrors.h \
+ $(INC)pexceptions.h \
+ $(INC)ctimer.h \
+ $(INC)psighand.h \
+ $(INC)cimage.h \
+ $(INC)rzimage.h \
+ $(INC)rzvect.h \
+ $(INC)datatypes.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h pistdimgapp.h \
+ $(INC)pisysdep.h \
+ $(INC)piapplx.h \
+ $(INC)piapplgen.h \
+ $(INC)pimsghandler.h \
+ $(INC)picontainerx.h \
+ $(INC)picontainergen.h \
+ $(INC)piwdgx.h \
+ $(INC)piwdggen.h \
+ $(INC)pimenubarx.h \
+ $(INC)pimenubargen.h \
+ $(INC)pimenux.h \
+ $(INC)pimenugen.h \
+ $(INC)picons.h \
+ $(INC)pistdwdgx.h \
+ $(INC)pistdwdggen.h \
+ $(INC)pibwdgx.h \
+ $(INC)pibwdggen.h \
+ $(INC)picmap.h \
+ $(INC)picmapx.h \
+ $(INC)picmapgen.h \
+ $(INC)pigraphx.h \
+ $(INC)pigraphgen.h \
+ $(INC)pifontx.h \
+ $(INC)pifontgen.h \
+ $(INC)pigraphuc.h \
+ $(INC)pievthandler.h \
+ $(INC)psfile.h \
+ $(INC)pigraphps.h \
+ $(INC)piwindowx.h \
+ $(INC)piwindowgen.h \
+ $(INC)pioptmenux.h \
+ $(INC)pioptmenugen.h \
+ $(INC)pifilechox.h \
+ $(INC)pifilechogen.h \
+ $(INC)piimage.h \
+ $(INC)parradapter.h \
+ $(INC)lut.h \
+ $(INC)pidrawer.h \
+ $(INC)pipixmapx.h \
+ $(INC)pipixmapgen.h \
+ $(INC)picmapview.h \
+ $(INC)pi3ddrw.h \
+ $(INC)pigraph3d.h nobjmgr.h dlftypes.h \
+ piacmd.h pisiadw.h $(INC)pilistx.h \
+ $(INC)pilistgen.h \
+ $(INC)pistzwin.h \
+ $(INC)piperiodx.h \
+ $(INC)periodic.h pihisto2d.h \
+ $(INC)histos2.h \
+ $(INC)peida.h \
+ $(INC)utils.h \
+ $(INC)fmath.h \
+ $(INC)histos.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)piscdrawwdg.h \
+ $(INC)piimgtools.h \
+ $(INC)pidrwtools.h piinit.h \
+ $(INC)sambainit.h \
+ $(INC)skymapinit.h \
+ $(INC)tarrinit.h \
+ $(INC)sophyainit.h \
+ $(INC)ntoolsinit.h \
+ $(INC)piversion.h piaversion.h
+$(OBJ)pitvmaad.o: pitvmaad.cc pitvmaad.h \
+ $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)parradapter.h \
+ $(INC)lut.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)anydataobj.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)tvector.h
+$(OBJ)servnobjm.o: servnobjm.cc $(INC)strutil.h \
+ nobjmgr.h $(INC)machdefs.h \
+ $(INC)pclassids.h \
+ $(INC)anydataobj.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h dlftypes.h servnobjm.h \
  $(INC)pdlmgr.h nomgadapter.h \
  $(INC)pidrawer.h \
@@ -151,675 +1176,30 @@
  $(INC)piperiodx.h \
  $(INC)periodic.h \
- $(INC)pisurfdr.h pipodrw.h \
- $(INC)histos2.h \
- $(INC)peida.h \
- $(INC)utils.h \
- $(INC)fmath.h \
- $(INC)histos.h \
- $(INC)cvector.h \
- $(INC)matrix.h pintuple.h pintup3d.h pigfd1.h \
- $(INC)generaldata.h \
- $(INC)poly.h pigfd2.h
-$(OBJ)nomgadapter.o: nomgadapter.cc $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h nomgadapter.h \
- $(INC)ppersist.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h \
- $(INC)pclassids.h \
- $(INC)anydataobj.h \
- $(INC)pidrawer.h \
- $(INC)pibwdggen.h \
- $(INC)pisysdep.h \
- $(INC)piwdgx.h \
- $(INC)piwdggen.h \
- $(INC)pimsghandler.h \
- $(INC)picmap.h \
- $(INC)picmapx.h \
- $(INC)picmapgen.h \
- $(INC)pigraphx.h \
- $(INC)pigraphgen.h \
- $(INC)pifontx.h \
- $(INC)pifontgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)parradapter.h \
- $(INC)lut.h \
- $(INC)ntupintf.h
-$(OBJ)nomgfdadapter.o: nomgfdadapter.cc \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h nomgfdadapter.h nomgadapter.h \
- $(INC)ppersist.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h \
- $(INC)pclassids.h \
- $(INC)anydataobj.h \
- $(INC)pidrawer.h \
- $(INC)pibwdggen.h \
- $(INC)pisysdep.h \
- $(INC)piwdgx.h \
- $(INC)piwdggen.h \
- $(INC)pimsghandler.h \
- $(INC)picmap.h \
- $(INC)picmapx.h \
- $(INC)picmapgen.h \
- $(INC)pigraphx.h \
- $(INC)pigraphgen.h \
- $(INC)pifontx.h \
- $(INC)pifontgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)parradapter.h \
- $(INC)lut.h \
- $(INC)ntupintf.h \
+ $(INC)fct1dfit.h \
+ $(INC)generalfit.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
  $(INC)generaldata.h \
  $(INC)poly.h \
  $(INC)peida.h \
  $(INC)utils.h \
+ $(INC)perrors.h \
  $(INC)fmath.h \
- $(INC)cvector.h \
- $(INC)matrix.h pipodrw.h \
- $(INC)histos2.h \
- $(INC)histos.h
-$(OBJ)nomhistadapter.o: nomhistadapter.cc \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h nomhistadapter.h nomgadapter.h \
- $(INC)ppersist.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h \
- $(INC)pclassids.h \
- $(INC)anydataobj.h \
- $(INC)pidrawer.h \
- $(INC)pibwdggen.h \
- $(INC)pisysdep.h \
- $(INC)piwdgx.h \
- $(INC)piwdggen.h \
- $(INC)pimsghandler.h \
- $(INC)picmap.h \
- $(INC)picmapx.h \
- $(INC)picmapgen.h \
- $(INC)pigraphx.h \
- $(INC)pigraphgen.h \
- $(INC)pifontx.h \
- $(INC)pifontgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)parradapter.h \
- $(INC)lut.h \
- $(INC)ntupintf.h \
- $(INC)histos.h \
- $(INC)peida.h \
- $(INC)utils.h \
- $(INC)fmath.h \
- $(INC)cvector.h \
- $(INC)matrix.h \
- $(INC)histos2.h \
- $(INC)hisprof.h \
+ $(INC)fct2dfit.h pitvmaad.h \
  $(INC)ntuple.h \
- $(INC)dvlist.h pihisto.h pihisto2d.h \
- $(INC)pimenux.h \
- $(INC)pimenugen.h \
- $(INC)pimenubarx.h \
- $(INC)pimenubargen.h \
- $(INC)pioptmenux.h \
- $(INC)pioptmenugen.h \
- $(INC)pistdwdgx.h \
- $(INC)pistdwdggen.h \
- $(INC)piscdrawwdg.h \
- $(INC)pibwdgx.h \
- $(INC)pigraphps.h \
- $(INC)piwindowx.h \
- $(INC)piwindowgen.h \
- $(INC)picontainerx.h \
- $(INC)picontainergen.h pipodrw.h servnobjm.h \
- $(INC)pdlmgr.h dlftypes.h
-$(OBJ)nomimagadapter.o: nomimagadapter.cc \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h nomimagadapter.h nomgadapter.h \
- $(INC)ppersist.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h \
- $(INC)pclassids.h \
- $(INC)anydataobj.h \
- $(INC)pidrawer.h \
- $(INC)pibwdggen.h \
- $(INC)pisysdep.h \
- $(INC)piwdgx.h \
- $(INC)piwdggen.h \
- $(INC)pimsghandler.h \
- $(INC)picmap.h \
- $(INC)picmapx.h \
- $(INC)picmapgen.h \
- $(INC)pigraphx.h \
- $(INC)pigraphgen.h \
- $(INC)pifontx.h \
- $(INC)pifontgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)parradapter.h \
- $(INC)lut.h \
- $(INC)ntupintf.h \
  $(INC)cimage.h \
  $(INC)rzimage.h \
  $(INC)rzvect.h \
  $(INC)datatypes.h \
- $(INC)dvlist.h pimgadapter.h
-$(OBJ)nomstladapter.o: nomstladapter.cc \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h nomstladapter.h nomgadapter.h \
- $(INC)ppersist.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h \
- $(INC)pclassids.h \
- $(INC)anydataobj.h \
- $(INC)pidrawer.h \
- $(INC)pibwdggen.h \
- $(INC)pisysdep.h \
- $(INC)piwdgx.h \
- $(INC)piwdggen.h \
- $(INC)pimsghandler.h \
- $(INC)picmap.h \
- $(INC)picmapx.h \
- $(INC)picmapgen.h \
- $(INC)pigraphx.h \
- $(INC)pigraphgen.h \
- $(INC)pifontx.h \
- $(INC)pifontgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)parradapter.h \
- $(INC)lut.h \
- $(INC)ntupintf.h \
- $(INC)stlist.h \
- $(INC)dynccd.h \
- $(INC)star.h \
- $(INC)starmacro.h \
- $(INC)psf.h \
- $(INC)peida.h \
- $(INC)utils.h \
- $(INC)fmath.h \
- $(INC)cimage.h \
- $(INC)rzimage.h \
- $(INC)rzvect.h \
- $(INC)datatypes.h \
- $(INC)dvlist.h \
- $(INC)fct1dfit.h \
- $(INC)generalfit.h \
- $(INC)matrix.h \
- $(INC)cvector.h \
- $(INC)generaldata.h \
- $(INC)poly.h \
- $(INC)fct2dfit.h \
- $(INC)pixelmap.h \
- $(INC)transfo.h \
- $(INC)zfidu.h \
- $(INC)imgalig.h \
- $(INC)fitsimage.h \
- $(INC)fitsheader.h \
- $(INC)erosio.h \
- $(INC)fitskeys.h \
- $(INC)erostape.h \
- $(INC)strutil.h \
- $(INC)ptrarray.h \
- $(INC)voidptrarray.h \
- $(INC)basearray.h \
- $(INC)array.h \
- $(INC)lockfile.h \
- $(INC)erostarfile.h \
- $(INC)xstrstream.h \
- $(INC)dates.h \
- $(INC)tarlib.h pistlist.h
-$(OBJ)pigfd1.o: pigfd1.cc pigfd1.h \
- $(INC)generaldata.h \
- $(INC)exceptions.h \
- $(INC)defs.h \
- $(INC)peidainit.h \
- $(INC)ppersist.h \
- $(INC)machine.h \
- $(INC)perrors.h \
- $(INC)pclassids.h \
- $(INC)ntupintf.h \
- $(INC)machdefs.h \
- $(INC)poly.h \
- $(INC)peida.h \
- $(INC)utils.h \
- $(INC)fmath.h \
- $(INC)cvector.h \
- $(INC)matrix.h \
- $(INC)pidrawer.h \
- $(INC)pibwdggen.h \
- $(INC)pisysdep.h \
- $(INC)piwdgx.h \
- $(INC)piwdggen.h \
- $(INC)pimsghandler.h \
- $(INC)picmap.h \
- $(INC)picmapx.h \
- $(INC)picmapgen.h \
- $(INC)pigraphx.h \
- $(INC)pigraphgen.h \
- $(INC)pifontx.h \
- $(INC)pifontgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h
-$(OBJ)pigfd2.o: pigfd2.cc pigfd2.h \
- $(INC)generaldata.h \
- $(INC)exceptions.h \
- $(INC)defs.h \
- $(INC)peidainit.h \
- $(INC)ppersist.h \
- $(INC)machine.h \
- $(INC)perrors.h \
- $(INC)pclassids.h \
- $(INC)ntupintf.h \
- $(INC)machdefs.h \
- $(INC)poly.h \
- $(INC)peida.h \
- $(INC)utils.h \
- $(INC)fmath.h \
- $(INC)cvector.h \
- $(INC)matrix.h \
- $(INC)pi3ddrw.h \
- $(INC)pisysdep.h \
- $(INC)pidrawer.h \
- $(INC)pibwdggen.h \
- $(INC)piwdgx.h \
- $(INC)piwdggen.h \
- $(INC)pimsghandler.h \
- $(INC)picmap.h \
- $(INC)picmapx.h \
- $(INC)picmapgen.h \
- $(INC)pigraphx.h \
- $(INC)pigraphgen.h \
- $(INC)pifontx.h \
- $(INC)pifontgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)pigraph3d.h \
- $(INC)pibwdgx.h \
- $(INC)pigraphps.h
-$(OBJ)pihisto.o: pihisto.cc pihisto.h $(INC)histos.h \
- $(INC)peida.h \
- $(INC)defs.h \
- $(INC)utils.h \
- $(INC)machine.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h \
- $(INC)fmath.h \
- $(INC)cvector.h \
- $(INC)matrix.h \
- $(INC)ppersist.h \
- $(INC)pclassids.h \
- $(INC)pidrawer.h \
- $(INC)pibwdggen.h \
- $(INC)pisysdep.h \
- $(INC)machdefs.h \
- $(INC)piwdgx.h \
- $(INC)piwdggen.h \
- $(INC)pimsghandler.h \
- $(INC)picmap.h \
- $(INC)picmapx.h \
- $(INC)picmapgen.h \
- $(INC)pigraphx.h \
- $(INC)pigraphgen.h \
- $(INC)pifontx.h \
- $(INC)pifontgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)hisprof.h
-$(OBJ)pihisto2d.o: pihisto2d.cc $(INC)piapplgen.h \
- $(INC)pimsghandler.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h \
- $(INC)pisysdep.h \
- $(INC)picontainerx.h \
- $(INC)picontainergen.h \
- $(INC)piwdgx.h \
- $(INC)piwdggen.h \
- $(INC)pimenubarx.h \
- $(INC)pimenubargen.h \
- $(INC)pimenux.h \
- $(INC)pimenugen.h \
- $(INC)picons.h \
- $(INC)pistdwdgx.h \
- $(INC)pistdwdggen.h \
- $(INC)pibwdgx.h \
- $(INC)pibwdggen.h \
- $(INC)picmap.h \
- $(INC)picmapx.h \
- $(INC)picmapgen.h \
- $(INC)pigraphx.h \
- $(INC)pigraphgen.h \
- $(INC)pifontx.h \
- $(INC)pifontgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)pigraphps.h pihisto2d.h \
- $(INC)pioptmenux.h \
- $(INC)pioptmenugen.h \
+ $(INC)histos.h \
  $(INC)histos2.h \
- $(INC)peida.h \
- $(INC)utils.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h \
- $(INC)fmath.h \
- $(INC)histos.h \
- $(INC)cvector.h \
- $(INC)matrix.h \
- $(INC)ppersist.h \
- $(INC)pclassids.h \
+ $(INC)hisprof.h \
  $(INC)piscdrawwdg.h \
- $(INC)piwindowx.h \
- $(INC)piwindowgen.h \
- $(INC)pidrawer.h \
- $(INC)nbrandom.h
-$(OBJ)pintup3d.o: pintup3d.cc pintup3d.h \
- $(INC)ntupintf.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h \
- $(INC)pi3ddrw.h \
- $(INC)pisysdep.h \
- $(INC)pidrawer.h \
- $(INC)pibwdggen.h \
- $(INC)piwdgx.h \
- $(INC)piwdggen.h \
- $(INC)pimsghandler.h \
- $(INC)picmap.h \
- $(INC)picmapx.h \
- $(INC)picmapgen.h \
- $(INC)pigraphx.h \
- $(INC)pigraphgen.h \
- $(INC)pifontx.h \
- $(INC)pifontgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)pigraph3d.h \
- $(INC)pibwdgx.h \
- $(INC)pigraphps.h
-$(OBJ)pintuple.o: pintuple.cc pintuple.h \
- $(INC)ntupintf.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h \
- $(INC)pidrawer.h \
- $(INC)pibwdggen.h \
- $(INC)pisysdep.h \
- $(INC)piwdgx.h \
- $(INC)piwdggen.h \
- $(INC)pimsghandler.h \
- $(INC)picmap.h \
- $(INC)picmapx.h \
- $(INC)picmapgen.h \
- $(INC)pigraphx.h \
- $(INC)pigraphgen.h \
- $(INC)pifontx.h \
- $(INC)pifontgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h
-$(OBJ)pipodrw.o: pipodrw.cc pipodrw.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h \
- $(INC)pidrawer.h \
- $(INC)pibwdggen.h \
- $(INC)pisysdep.h \
- $(INC)piwdgx.h \
- $(INC)piwdggen.h \
- $(INC)pimsghandler.h \
- $(INC)picmap.h \
- $(INC)picmapx.h \
- $(INC)picmapgen.h \
- $(INC)pigraphx.h \
- $(INC)pigraphgen.h \
- $(INC)pifontx.h \
- $(INC)pifontgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)parradapter.h \
- $(INC)lut.h \
- $(INC)histos2.h \
- $(INC)peida.h \
- $(INC)utils.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h \
- $(INC)fmath.h \
- $(INC)histos.h \
- $(INC)cvector.h \
- $(INC)matrix.h \
- $(INC)ppersist.h \
- $(INC)pclassids.h \
- $(INC)generalfit.h \
- $(INC)generaldata.h \
- $(INC)ntupintf.h \
- $(INC)poly.h
-$(OBJ)pisiadw.o: pisiadw.cc $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h \
- $(INC)ctimer.h \
- $(INC)peida.h \
- $(INC)utils.h \
- $(INC)fmath.h \
- $(INC)nbmath.h pistdimgapp.h \
- $(INC)pisysdep.h \
- $(INC)piapplx.h \
- $(INC)piapplgen.h \
- $(INC)pimsghandler.h \
- $(INC)picontainerx.h \
- $(INC)picontainergen.h \
- $(INC)piwdgx.h \
- $(INC)piwdggen.h \
- $(INC)pimenubarx.h \
- $(INC)pimenubargen.h \
- $(INC)pimenux.h \
- $(INC)pimenugen.h \
- $(INC)picons.h \
- $(INC)pistdwdgx.h \
- $(INC)pistdwdggen.h \
- $(INC)pibwdgx.h \
- $(INC)pibwdggen.h \
- $(INC)picmap.h \
- $(INC)picmapx.h \
- $(INC)picmapgen.h \
- $(INC)pigraphx.h \
- $(INC)pigraphgen.h \
- $(INC)pifontx.h \
- $(INC)pifontgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)pigraphps.h \
- $(INC)piwindowx.h \
- $(INC)piwindowgen.h \
- $(INC)pioptmenux.h \
- $(INC)pioptmenugen.h \
- $(INC)pifilechox.h \
- $(INC)pifilechogen.h \
- $(INC)piimage.h \
- $(INC)parradapter.h \
- $(INC)lut.h \
- $(INC)pidrawer.h \
- $(INC)pipixmapx.h \
- $(INC)pipixmapgen.h \
- $(INC)picmapview.h \
- $(INC)pi3ddrw.h \
- $(INC)pigraph3d.h nobjmgr.h \
- $(INC)anydataobj.h \
- $(INC)ppersist.h \
- $(INC)pclassids.h dlftypes.h piacmd.h \
- pisiadw.h $(INC)pilistx.h \
- $(INC)pilistgen.h \
- $(INC)pistzwin.h \
- $(INC)piperiodx.h \
- $(INC)periodic.h servnobjm.h \
- $(INC)pdlmgr.h
-$(OBJ)pistdimgapp.o: pistdimgapp.cc $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h \
- $(INC)strutil.h \
- $(INC)timing.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h \
- $(INC)ctimer.h \
- $(INC)peida.h \
- $(INC)utils.h \
- $(INC)fmath.h \
- $(INC)psighand.h \
- $(INC)cimage.h \
- $(INC)rzimage.h \
- $(INC)rzvect.h \
- $(INC)datatypes.h \
- $(INC)ppersist.h \
- $(INC)pclassids.h \
- $(INC)dvlist.h pistdimgapp.h \
- $(INC)pisysdep.h \
- $(INC)piapplx.h \
- $(INC)piapplgen.h \
- $(INC)pimsghandler.h \
- $(INC)picontainerx.h \
- $(INC)picontainergen.h \
- $(INC)piwdgx.h \
- $(INC)piwdggen.h \
- $(INC)pimenubarx.h \
- $(INC)pimenubargen.h \
- $(INC)pimenux.h \
- $(INC)pimenugen.h \
- $(INC)picons.h \
- $(INC)pistdwdgx.h \
- $(INC)pistdwdggen.h \
- $(INC)pibwdgx.h \
- $(INC)pibwdggen.h \
- $(INC)picmap.h \
- $(INC)picmapx.h \
- $(INC)picmapgen.h \
- $(INC)pigraphx.h \
- $(INC)pigraphgen.h \
- $(INC)pifontx.h \
- $(INC)pifontgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)pigraphps.h \
- $(INC)piwindowx.h \
- $(INC)piwindowgen.h \
- $(INC)pioptmenux.h \
- $(INC)pioptmenugen.h \
- $(INC)pifilechox.h \
- $(INC)pifilechogen.h \
- $(INC)piimage.h \
- $(INC)parradapter.h \
- $(INC)lut.h \
- $(INC)pidrawer.h \
- $(INC)pipixmapx.h \
- $(INC)pipixmapgen.h \
- $(INC)picmapview.h \
- $(INC)pi3ddrw.h \
- $(INC)pigraph3d.h nobjmgr.h \
- $(INC)anydataobj.h dlftypes.h piacmd.h \
- pisiadw.h $(INC)pilistx.h \
- $(INC)pilistgen.h \
- $(INC)pistzwin.h \
- $(INC)piperiodx.h \
- $(INC)periodic.h pihisto2d.h \
- $(INC)histos2.h \
- $(INC)histos.h \
- $(INC)cvector.h \
- $(INC)matrix.h \
- $(INC)piscdrawwdg.h \
- $(INC)piimgtools.h \
- $(INC)pidrwtools.h piinit.h \
- $(INC)outilsinit.h \
- $(INC)piversion.h piaversion.h
-$(OBJ)pistlist.o: pistlist.cc pistlist.h \
- $(INC)stlist.h \
- $(INC)machine.h \
- $(INC)defs.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h \
- $(INC)perrors.h \
- $(INC)dynccd.h \
- $(INC)ppersist.h \
- $(INC)pclassids.h \
- $(INC)star.h \
- $(INC)starmacro.h \
- $(INC)psf.h \
- $(INC)peida.h \
- $(INC)utils.h \
- $(INC)fmath.h \
- $(INC)cimage.h \
- $(INC)rzimage.h \
- $(INC)rzvect.h \
- $(INC)datatypes.h \
- $(INC)dvlist.h \
- $(INC)fct1dfit.h \
- $(INC)generalfit.h \
- $(INC)matrix.h \
- $(INC)cvector.h \
- $(INC)generaldata.h \
- $(INC)ntupintf.h \
- $(INC)machdefs.h \
- $(INC)poly.h \
- $(INC)fct2dfit.h \
- $(INC)pixelmap.h \
- $(INC)transfo.h \
- $(INC)zfidu.h \
- $(INC)imgalig.h \
- $(INC)fitsimage.h \
- $(INC)fitsheader.h \
- $(INC)erosio.h \
- $(INC)fitskeys.h \
- $(INC)erostape.h \
- $(INC)strutil.h \
- $(INC)ptrarray.h \
- $(INC)voidptrarray.h \
- $(INC)basearray.h \
- $(INC)array.h \
- $(INC)lockfile.h \
- $(INC)erostarfile.h \
- $(INC)xstrstream.h \
- $(INC)dates.h \
- $(INC)tarlib.h \
- $(INC)pidrawer.h \
- $(INC)pibwdggen.h \
- $(INC)pisysdep.h \
- $(INC)piwdgx.h \
- $(INC)piwdggen.h \
- $(INC)pimsghandler.h \
- $(INC)picmap.h \
- $(INC)picmapx.h \
- $(INC)picmapgen.h \
- $(INC)pigraphx.h \
- $(INC)pigraphgen.h \
- $(INC)pifontx.h \
- $(INC)pifontgen.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h
+ $(INC)pisurfdr.h pintuple.h pintup3d.h \
+ pipodrw.h
Index: trunk/SophyaPI/PIext/objlist.list
===================================================================
--- trunk/SophyaPI/PIext/objlist.list	(revision 815)
+++ trunk/SophyaPI/PIext/objlist.list	(revision 826)
@@ -5,6 +5,7 @@
 nomhistadapter.o
 nomimagadapter.o
-nommatvecadapter.o
-nomstladapter.o
+nomskymapadapter.o
+nomspecrespadapter.o
+nomtmatvecadapter.o
 pawexecut.o
 piacmd.o
@@ -20,4 +21,4 @@
 pisiadw.o
 pistdimgapp.o
-pistlist.o
+pitvmaad.o
 servnobjm.o
